Release scripts for repos, images, OOM, refs

bumpSnapshots.sh: Steps the patch version of snapshot images based on
the data in the policy release data file.

generateCommit.sh: At the suggestion of OOM, the order of the generated messages is
changed.

releaseRepo.sh: Generates the release yaml file and the commit to
release the maven artifacts of a repo

releaseRepoImages.sh: Generates the release yaml fole and the commit to
release the docker images from a repo

updateOomImages.sh: Generates a commit that updats the references to
Policy Framework docker images in OOM

updateRefs.sh: Updates the parent. common, models., drools-pdp, and
Docker base images in Docker files for reselases or snapshots.

Issue-ID: POLICY-3835
Change-Id: I0766a779c2217a57a33ed37725f11acdfb07a16d
Signed-off-by: liamfallon <liam.fallon@est.tech>
diff --git a/integration/src/release_scripts/generateCommit.sh b/integration/src/release_scripts/generateCommit.sh
index 3277592..8c21c30 100755
--- a/integration/src/release_scripts/generateCommit.sh
+++ b/integration/src/release_scripts/generateCommit.sh
@@ -4,7 +4,7 @@
 # ============LICENSE_START================================================
 # ONAP
 # =========================================================================
-# Copyright (C) 2021 Nordix Foundation.
+# Copyright (C) 2021-2022 Nordix Foundation.
 # =========================================================================
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -20,6 +20,8 @@
 # ============LICENSE_END==================================================
 #
 
+set -e
+
 SCRIPT_NAME=`basename $0`
 repo_location="./"
 
@@ -137,10 +139,10 @@
     commit_msg_temp_file=$(mktemp)
     echo "$commit_header"                                           > $commit_msg_temp_file
     echo ""                                                        >> $commit_msg_temp_file
-    echo "*** This commit is generated by a PF release script ***" >> $commit_msg_temp_file
-    echo ""                                                        >> $commit_msg_temp_file
     echo "$commit_message"                                         >> $commit_msg_temp_file
     echo ""                                                        >> $commit_msg_temp_file
+    echo "*** This commit is generated by a PF release script ***" >> $commit_msg_temp_file
+    echo ""                                                        >> $commit_msg_temp_file
     echo "Issue-ID: $issue_id"                                     >> $commit_msg_temp_file
 
     git -C $repo_location/$specified_repo add .